v4l-conf(8)

NOMBRE
v4l-conf - configura un driver video4linux

SINOPSIS
v4l-conf [ opciones ]

DESCRIPCIÓN
v4l-conf es una pequeña herramienta auxiliar. Trata de averiguar el modo del video y la dirección base del framebuffer de la tarjeta gráfica y configura un driver video4linux como el bttv. Esto es necesario para drivers que pueden enviar el video por DMA a través de PCI directamente a la memoria de video.

Normalmente no es necesario usar v4l-conf manualmente, xawtv(1) y fbtv(1) lo ejecutan automáticamente al inicio. Puede ser útil en caso de problemas en la ejecución de esos programas. Se debe instalar v4l-conf como suid-root.

v4l-conf tiene tres maneras para obtener la información:

*   Pregunta al servidor X usando la extensión DGA de XF86. Esto es lo que hace por defecto si la variable de entorno DISPLAY está establecida.

*   Pregunta al driver framebuffer. Esto es lo que hace por defecto si DISPLAY no está establecida.

*   Pregunta al driver de la consola. Se usa sólamente en mklinux.

OPCIONES

-h  Muestra una breve descripción de todas las opciones.

-q  Estar callado.

-d dpy
    Usa el display X11 dpy para obtener los parámetros.

-f  Usa el driver framebuffer para obtener los parámetros.

-c dispositivo
    Establece el dispositivo de video4linux.

-b n
    fuerza una profundidad de color de n bpp. Funciona para cambiar entre 15/16 y 24/32 bpp.

-s n
    Desplaza la imagen de video n bytes.

-a adr
    Establece la dirección del framebuffer a adr. El valor hay que especificarlo en hexadecimal. Sólo se le permite esta opción a root. No se puede sobreescribir el valor detectado automáticamente, esta opción sólo es válida si la autodetección no funciona debido a que el servidor X no tiene soporte DGA. Puede poner esto en el fichero /etc/conf.modules, como "post-install bttv ..." por ejemplo.

BUGS
Espero no haber dejado ninguna fisura de seguridad. Si encuentra alguna envíeme una nota. Prefiero correos que incluyan parches :-)

VEA TAMBIÉN
xawtv(1), fbtv(1)

AUTOR
Gerd Knorr <kraxel@goldbach.in-berlin.de>

COPYRIGHT
Copyright (C) 1997-99 Gerd Knorr <kraxel@goldbach.in-berlin.de>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

TRADUCCIÓN
Página traducida al español por Ricardo Villalba <rvm@escomposlinux.org>